Package com.io7m.idstore.server.security

# Record Class IdSecUserActionEmailRemoveBegin

java.lang.Object
java.lang.Record
com.io7m.idstore.server.security.IdSecUserActionEmailRemoveBegin

Record Components:
  `user` - The user
  `activeVerificationCount` - The number of in-progress email verifications the user already has

All Implemented Interfaces:
  `IdSecActionType`, `IdSecUserActionType`

public record IdSecUserActionEmailRemoveBegin(IdUser user, long activeVerificationCount) extends Record implements IdSecUserActionType
A request to remove an email address from a user.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdSecUserActionEmailRemoveBegin(IdUser user, long activeVerificationCount)`
  A request to remove an email address from a user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `activeVerificationCount()`
  Returns the value of the `activeVerificationCount` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `IdUser`
  `user()`
  Returns the value of the `user` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdSecUserActionEmailRemoveBegin

    public IdSecUserActionEmailRemoveBegin(IdUser user, long activeVerificationCount)
    A request to remove an email address from a user.
    Parameters:
      `user` - The user
      `activeVerificationCount` - The number of in-progress email verifications the user already has

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### user

    public IdUser user()
    Returns the value of the `user` record component.
    Specified by:
      `user` in interface `IdSecUserActionType`
    Returns:
      the value of the `user` record component

  - ### activeVerificationCount

    public long activeVerificationCount()
    Returns the value of the `activeVerificationCount` record component.
    Returns:
      the value of the `activeVerificationCount` record component